#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:       akonadi-import-wizard
Summary:    Assistant to import PIM data from other applications into Akonadi for use in KDE PIM applications
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch: armv5tl

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)

# KF5 Packages
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5KIO)

# KdepimLibs Package
BuildRequires: cmake(KF5Akonadi)
#BuildRequires: cmake(KF5Contact)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5MailTransport)

BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5MailImporter)
BuildRequires: cmake(KF5MessageViewer)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5MessageComposer)

%description
Assistant to import PIM data from other applications into Akonadi 
for use in KDE PIM applications.

%files
%_sysconfdir/xdg/importwizard.categories
%_sysconfdir/xdg/importwizard.renamecategories
%_kf5_bindir/importwizard
%_kf5_datadir/applications/org.kde.importwizard.desktop
%_kf5_iconsdir/*/*/*/kontact-import-wizard.*
%_kf5_datadir/importwizard
%_kf5_datadir/kconf_update/importwizard-15.08-kickoff.sh
%_kf5_datadir/kconf_update/importwizard.upd

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf5_docdir/HTML/en/importwizard

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1089982
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076717
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074160
- imported package akonadi-import-wizard

